Name:		konversation
Version:	23.08.5
Release:	%mkrel 1
Summary:	A user friendly IRC Client for KDE
License:	GPLv2
Group:		Graphical desktop/KDE5
URL:		http://konversation.kde.org
Source0:	http://download.kde.org/stable/konversation/%{version}/src/%{name}-%{version}.tar.xz
Patch0:		konversation-default-channel.patch
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5widgets-devel

BuildRequires:  kf5-macros
BuildRequires:  karchive-devel
BuildRequires:  kbookmarks-devel
BuildRequires:  kconfig-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kcrash-devel
BuildRequires:  kdoctools-devel
BuildRequires:  kemoticons-devel
BuildRequires:  ki18n-devel
BuildRequires:  kidletime-devel
BuildRequires:  knotifyconfig-devel
BuildRequires:  kio-devel
BuildRequires:  kparts-devel
BuildRequires:  solid-devel
BuildRequires:  sonnet-devel
BuildRequires:  kwallet-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  kglobalaccel-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  knotifications-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kitemviews-devel
BuildRequires:  qca2-qt5-devel
BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl
BuildRequires:	lib64qca2-qt5-devel

Provides:	plasma5-irc-client

%description
Konversation is a graphical Internet Relay Chat client (IRC)
with KDE support.

Features:

* Standard IRC features
* SSL server support
* Bookmarking support
* Easy to use graphical user interface
* Multiple servers and channels in one single window
* DCC file transfer
* Multiple identities for different servers
* Text decorations and colors
* OnScreen Display for notifications
* Automatic UTF-8 detection
* Per channel encoding support
* Theme support for nick icons
* Highly configurable

						    
%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"

%cmake_kf5
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

# purge use of /usr/bin/env
sed -i \
  -e "s|^#!/usr/bin/env bash|#!/bin/bash|g" \
  -e "s|^#!/usr/bin/env perl|#!/usr/bin/perl|g" \
  -e "s|^#!/usr/bin/env python$|#!%{__python}|g" \
  %{buildroot}%{_kf5_datadir}/konversation/scripts/*

%find_lang --with-html %{name}

%files -f %{name}.lang
%doc README
%{_kf5_bindir}
%{_kf5_datadir}

%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

